2017-11-20 23:38 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001844openmediavaultBugpublic2017-11-04 11:35
Reporterpetaramesh 
Assigned Tovotdev 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSDebianOS Version9.2
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001844: BTRFS RAID FS shows twice in OMV filesystems view.
DescriptionHello,

When a BTRFS filesystem is made from several devices using BTRFS genuine RAID (not MD RAID), it can be referred to by the name of any of the devices that compose it, and the corresponding /dev/disk/by-label entry points to any arbitrary device which is part of the RAID FS.

This seems to confuse OMV to some extent, and, for example, in the « filesystems » view, the correspondong FS shows twice, but with usage and mount information displayed only once - see attached image.
Steps To ReproduceCreate a BTRFS RAID and check how OMV sees it.
TagsNo tags attached.
Product buildVersion: 4.0.8-1
Attached Files

-Relationships
has duplicate 0001833closedvotdev Do not show multiple btrfs for one array 
+Relationships

-Notes

~0005002

votdev (administrator)

Can you please provide a shell script that will prepare the system to allow us to reproduce the error?

~0005005

petaramesh (reporter)

I don't think a shell script will be necessary. I believe that you just need to create a fresh BTRFS RAID filesystem using 2 drives, let's call them sde and sdf, such as

# mfks.btrfs -m raid1 -d raid1 -L "TestFS" /dev/sde /dev/sdf

...And check how OMV interface sees it (and can mess up a bit when mounting/unmounting other drives later on).

My own setup was a bit more complex, but I don't believe this added complexity causes the issue, more the fact that one FS is made from 2 distinct device...


My own setup is rather :

mkdir /etc/keys
dd if=/dev/urandom of=/etc/keys/sde.key bs=1 count=512
dd if=/dev/urandom of=/etc/keys/sdf.key bs=1 count=512

cryptsetup luksFormat /dev/sde /etc/keys/sde.key
cryptsetup luksFormat /dev/sdf /etc/keys/sdf.key

Create /etc/crypttab like :

sde_crypt UUID=<your_sde_uuid> /etc/keys/sde.key luks
sdf_crypt UUID=<your_sdf_uuid> /etc/keys/sde.key luks

update-initramfs -u

Reboot machine, decrypted versions of drives should appear under
/dev/mapper/sde_crypt and /dev/mapper/sdf_crypt

Then create the BTRFS RAID FS as previously with :

# mfks.btrfs -m raid1 -d raid1 -L "TestFS" /dev/mapper/sde_crypt and /dev/mapper/sdf_crypt

Then check how OMV's interface displays it.

Thanks for your help :-)

~0005006

petaramesh (reporter)

P.S.: This bug report is surely a duplicate of 0001833, sorry.

~0005007

petaramesh (reporter)

Bug 0001782 is also surely another duplicate in an earlier version.

~0005013

votdev (administrator)

Currently i do not see a solution how to fix that.

~0005015

petaramesh (reporter)

Thanks for your help anyway.

The matter is that, this OMV confusion about multivolume filesystems also causes random errors (sometimes it happens, sometimes not) such as the attached image, when trying to mount another (i.e. removable) volume... causing the mount to fail.

It happens "randomly" because it seems to me that it depends upon which device name the already mounted BTRFS volumes shows up with...

~0005017

votdev (administrator)

Fixed in openmediavault 4.0.9, see https://github.com/openmediavault/openmediavault/commit/b8530634564267e6b42948274ed92d7788064a23.
+Notes

-Issue History
Date Modified Username Field Change
2017-11-03 10:35 petaramesh New Issue
2017-11-03 10:35 petaramesh Status new => assigned
2017-11-03 10:35 petaramesh Assigned To => votdev
2017-11-03 10:35 petaramesh File Added: OMV_filesystems_doubled.png
2017-11-03 14:52 votdev Note Added: 0005002
2017-11-03 15:54 petaramesh Note Added: 0005005
2017-11-03 15:58 petaramesh Note Added: 0005006
2017-11-03 16:09 petaramesh Note Added: 0005007
2017-11-03 16:18 votdev Relationship added has duplicate 0001833
2017-11-03 23:39 votdev Note Added: 0005013
2017-11-04 09:00 petaramesh File Added: OMV_mount_error_20171104_085510.png
2017-11-04 09:00 petaramesh Note Added: 0005015
2017-11-04 11:35 votdev Status assigned => resolved
2017-11-04 11:35 votdev Resolution open => fixed
2017-11-04 11:35 votdev Fixed in Version => Arrakis (4.x)
2017-11-04 11:35 votdev Note Added: 0005017
+Issue History